abstractCh Class Referenceabstract

`#include <abstractch.h>`

Inheritance diagram for abstractCh:

## Public Member Functions

| abstractCh ()
virtual | ~abstractCh ()
virtual int | Poll (short cause)=0
virtual int | Setup ()=0
virtual int | Anounce ()
virtual int | Stop ()
virtual int | Status ()

## Protected Member Functions

virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Constructor & Destructor Documentation

## abstractCh()

abstractCh::abstractCh | ( |  | ) |

inline

## ~abstractCh()

virtual abstractCh::~abstractCh | ( |  | ) |

inlinevirtual

## Member Function Documentation

## Anounce()

virtual int abstractCh::Anounce | ( |  | ) |

inlinevirtual

## Poll()

virtual int abstractCh::Poll | ( | short | cause | ) |

pure virtual

Implemented in out_SPILed, out_relay, out_pwm, out_pid, out_Multivent, out_Motor, out_Modbus, out_dmx, out_AC, in_hdc1080, and in_ccs811.

## publishTopic() [1/3]

int abstractCh::publishTopic | ( | const char * | topic,
|  | const char * | value,
|  | const char * | subtopic = `NULL`
| ) |  |

protectedvirtual

## publishTopic() [2/3]

int abstractCh::publishTopic | ( | const char * | topic,
|  | float | value,
|  | const char * | subtopic = `NULL`
| ) |  |

protectedvirtual

## publishTopic() [3/3]

int abstractCh::publishTopic | ( | const char * | topic,
|  | long | value,
|  | const char * | subtopic = `NULL`
| ) |  |

protectedvirtual

## Setup()

virtual int abstractCh::Setup | ( |  | ) |

pure virtual

Implemented in out_SPILed, out_relay, out_pwm, out_pid, out_Multivent, out_Motor, out_Modbus, out_dmx, out_AC, in_hdc1080, in_ccs811, and abstractOut.

## Status()

virtual int abstractCh::Status | ( |  | ) |

inlinevirtual

Reimplemented in out_SPILed, out_relay, out_pwm, out_pid, out_Multivent, out_Motor, out_Modbus, out_dmx, and out_AC.

## Stop()

virtual int abstractCh::Stop | ( |  | ) |

inlinevirtual

Reimplemented in out_SPILed, out_relay, out_pwm, out_pid, out_Multivent, out_Motor, out_Modbus, out_dmx, and out_AC.

The documentation for this class was generated from the following files:

- abstractch.h
- abstractch.cpp